Package com.collabnet.ce.soap60.webservices.docman

# Class Document3SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.docman.Document3SoapDO

public class Document3SoapDO extends ItemSoapDO
This class represents the data associated with a document.
Change History
Release: 17.1

- Added flexFields.
- Changed the 'status' field of the document version to be configurable.

Release: 4.4

- Added 'fileUrl'

Release: 8.1

- Added downloadRestricted flag
- Added allowForceUnlock flag

Since:
  17.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILTER_REVIEW_CREATED_BY`
  Document review 'createdBy' filter.
  `static final String`
  `FILTER_REVIEW_STATUS`
  Document review 'status' filter.
  `static final String`
  `MIME_TYPE_EXTERNAL_URL`
  The mime_type value for documents with an external file url.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document3SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAllowForceUnlock()`
  Returns 'allowForceUnlock'.
  `int`
  `getCurrentVersion()`
  Returns 'currentVersion'.
  `Date`
  `getDateVersionCreated()`
  Returns 'dateVersionCreated'.
  `String`
  `getDescription()`
  Returns 'description'.
  `int`
  `getDocumentVersion()`
  Returns 'documentVersion'.
  `boolean`
  `getDownloadRestricted()`
  Returns 'downloadRestricted'.
  `String`
  `getFileName()`
  Returns 'fileName'.
  `long`
  `getFileSize()`
  Returns 'fileSize'.
  `String`
  `getFileUrl()`
  Returns 'fileUrl'.
  `SoapFieldValues`
  `getFlexFields()`
  Returns 'flexFields'.
  `int`
  `getLatestVersion()`
  Returns 'latestVersion'.
  `String`
  `getLocale()`
  Returns 'locale'.
  `String`
  `getLockedBy()`
  Returns 'lockedBy'.
  `String`
  `getMimeType()`
  Returns 'mimeType'.
  `String`
  `getStatus()`
  Returns 'status'.
  `String`
  `getVersionComment()`
  Returns 'versionComment'.
  `String`
  `getVersionCreatedBy()`
  Returns 'versionCreatedBy'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAllowForceUnlock(boolean allowForceUnlock)`
  Sets 'allowForceUnlock'.
  `void`
  `setCurrentVersion(int currentVersion)`
  Sets 'currentVersion'.
  `void`
  `setDateVersionCreated(Date dateVersionCreated)`
  Sets 'dateVersionCreated'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setDocumentVersion(int documentVersion)`
  Sets 'documentVersion'.
  `void`
  `setDownloadRestricted(boolean downloadRestricted)`
  Sets 'downloadRestricted'.
  `void`
  `setFileName(String fileName)`
  Sets 'fileName'.
  `void`
  `setFileSize(long fileSize)`
  Sets 'fileSize'.
  `void`
  `setFileUrl(String fileUrl)`
  Sets 'fileUrl'.
  `void`
  `setFlexFields(SoapFieldValues flexFields)`
  Sets 'flexFields'.
  `void`
  `setLatestVersion(int latestVersion)`
  Sets 'latestVersion'.
  `void`
  `setLocale(String locale)`
  Sets 'locale'.
  `void`
  `setLockedBy(String lockedBy)`
  Sets 'lockedBy'.
  `void`
  `setMimeType(String mimeType)`
  Sets 'mimeType'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setVersionComment(String versionComment)`
  Sets 'versionComment'.
  `void`
  `setVersionCreatedBy(String versionCreatedBy)`
  Sets 'versionCreatedBy'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MIME_TYPE_EXTERNAL_URL

    public static final String MIME_TYPE_EXTERNAL_URL
    The mime_type value for documents with an external file url.
    See Also:
      - Constant Field Values

  - ### FILTER_REVIEW_STATUS

    public static final String FILTER_REVIEW_STATUS
    Document review 'status' filter.
    See Also:
      - Constant Field Values

  - ### FILTER_REVIEW_CREATED_BY

    public static final String FILTER_REVIEW_CREATED_BY
    Document review 'createdBy' filter.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Document3SoapDO

    public Document3SoapDO()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Returns 'description'. Document description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Document description.
    Parameters:
      `description` - Value of 'description'.

  - ### getDocumentVersion

    public int getDocumentVersion()
    Returns 'documentVersion'. Version associated with this document instance data.
    Returns:
      Value of 'documentVersion'.

  - ### setDocumentVersion

    public void setDocumentVersion(int documentVersion)
    Sets 'documentVersion'. Version associated with this document instance data.
    Parameters:
      `documentVersion` - Value of 'documentVersion'.

  - ### getVersionComment

    public String getVersionComment()
    Returns 'versionComment'. Comment associated with this document version.
    Returns:
      Value of 'versionComment'.

  - ### setVersionComment

    public void setVersionComment(String versionComment)
    Sets 'versionComment'. Comment associated with this document version.
    Parameters:
      `versionComment` - Value of 'versionComment'.

  - ### getCurrentVersion

    public int getCurrentVersion()
    Returns 'currentVersion'. Version number of the currently active version.
    Returns:
      Value of 'currentVersion'.

  - ### setCurrentVersion

    public void setCurrentVersion(int currentVersion)
    Sets 'currentVersion'. Version number of the currently active version.
    Parameters:
      `currentVersion` - Value of 'currentVersion'.

  - ### getLatestVersion

    public int getLatestVersion()
    Returns 'latestVersion'. Version number of the latest document version.
    Returns:
      Value of 'latestVersion'.

  - ### setLatestVersion

    public void setLatestVersion(int latestVersion)
    Sets 'latestVersion'. Version number of the latest document version.
    Parameters:
      `latestVersion` - Value of 'latestVersion'.

  - ### getDateVersionCreated

    public Date getDateVersionCreated()
    Returns 'dateVersionCreated'. Date this version was created.
    Returns:
      Value of 'dateVersionCreated'.

  - ### setDateVersionCreated

    public void setDateVersionCreated(Date dateVersionCreated)
    Sets 'dateVersionCreated'. Date this version was created.
    Parameters:
      `dateVersionCreated` - Value of 'dateVersionCreated'.

  - ### getVersionCreatedBy

    public String getVersionCreatedBy()
    Returns 'versionCreatedBy'. User who created this version.
    Returns:
      Value of 'versionCreatedBy'.

  - ### setVersionCreatedBy

    public void setVersionCreatedBy(String versionCreatedBy)
    Sets 'versionCreatedBy'. User who created this version.
    Parameters:
      `versionCreatedBy` - Value of 'versionCreatedBy'.

  - ### getLocale

    public String getLocale()
    Returns 'locale'. Document's locale (common across all versions).
    Returns:
      Value of 'locale'.

  - ### setLocale

    public void setLocale(String locale)
    Sets 'locale'. Document's locale (common across all versions).
    Parameters:
      `locale` - Value of 'locale'.

  - ### getMimeType

    public String getMimeType()
    Returns 'mimeType'. Mime-type of this version of the document. (null when this is a document to an external url) {
    Returns:
      Value of 'mimeType'.

  - ### setMimeType

    public void setMimeType(String mimeType)
    Sets 'mimeType'. Mime-type of this version of the document. (null when this is a document to an external url) {
    Parameters:
      `mimeType` - Value of 'mimeType'.

  - ### getFileName

    public String getFileName()
    Returns 'fileName'. Name of the file associated with this document version.
    Returns:
      Value of 'fileName'.

  - ### setFileName

    public void setFileName(String fileName)
    Sets 'fileName'. Name of the file associated with this document version.
    Parameters:
      `fileName` - Value of 'fileName'.

  - ### getFileSize

    public long getFileSize()
    Returns 'fileSize'. Size of the file associated with this document version.
    Returns:
      Value of 'fileSize'.

  - ### setFileSize

    public void setFileSize(long fileSize)
    Sets 'fileSize'. Size of the file associated with this document version.
    Parameters:
      `fileSize` - Value of 'fileSize'.

  - ### getFileUrl

    public String getFileUrl()
    Returns 'fileUrl'. Url of the file associated with this document version.
    Returns:
      Value of 'fileUrl'.

  - ### setFileUrl

    public void setFileUrl(String fileUrl)
    Sets 'fileUrl'. Url of the file associated with this document version.
    Parameters:
      `fileUrl` - Value of 'fileUrl'.

  - ### getStatus

    public String getStatus()
    Returns 'status'. Status of this document version. Can be one of the custom (user specified) { value, as defined in the project's document settings.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. Status of this document version. Can be one of the custom (user specified) { value, as defined in the project's document settings.
    Parameters:
      `status` - Value of 'status'.

  - ### getLockedBy

    public String getLockedBy()
    Returns 'lockedBy'. User with a lock on this document, if any. Null if document is not locked.
    Returns:
      Value of 'lockedBy'.

  - ### setLockedBy

    public void setLockedBy(String lockedBy)
    Sets 'lockedBy'. User with a lock on this document, if any. Null if document is not locked.
    Parameters:
      `lockedBy` - Value of 'lockedBy'.

  - ### getDownloadRestricted

    public boolean getDownloadRestricted()
    Returns 'downloadRestricted'. Flag that indicates if the document is locked to prevent other users from downloading it.
    Returns:
      Value of 'downloadRestricted'.

  - ### setDownloadRestricted

    public void setDownloadRestricted(boolean downloadRestricted)
    Sets 'downloadRestricted'. Flag that indicates if the document is locked to prevent other users from downloading it.
    Parameters:
      `downloadRestricted` - Value of 'downloadRestricted'.

  - ### getAllowForceUnlock

    public boolean getAllowForceUnlock()
    Returns 'allowForceUnlock'. Flag that indicates if the document can be forcibly unlocked for editing and downloading.
    Returns:
      Value of 'allowForceUnlock'.

  - ### setAllowForceUnlock

    public void setAllowForceUnlock(boolean allowForceUnlock)
    Sets 'allowForceUnlock'. Flag that indicates if the document can be forcibly unlocked for editing and downloading.
    Parameters:
      `allowForceUnlock` - Value of 'allowForceUnlock'.

  - ### getFlexFields

    public SoapFieldValues getFlexFields()
    Returns 'flexFields'. Named values for custom fields for the document folder that contains the document. For multi-select custom fields, the name is repeated for each value. For example, for a multi-select field days_of_week where MWF are set, SoapFieldValues { names = {"days_of_week", "days_of_week", "days_of_week"}, values = {"Monday", "Wednesday", "Friday"} types = {DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING, DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING, DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING} }
    Returns:
      Value of 'flexFields'.

  - ### setFlexFields

    public void setFlexFields(SoapFieldValues flexFields)
    Sets 'flexFields'. Named values for custom fields for the document folder that contains the document. For multi-select custom fields, the name is repeated for each value. For example, for a multi-select field days_of_week where MWF are set, SoapFieldValues { names = {"days_of_week", "days_of_week", "days_of_week"}, values = {"Monday", "Wednesday", "Friday"} types = {DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING, DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING, DocumentFolderFieldSoapDO.FIELD_VALUE_TYPE_STRING} }
    Parameters:
      `flexFields` - Value of 'flexFields'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)